com.google.appengine.api.images

## Enum Composite.Anchor

- java.lang.Object
- - java.lang.Enum<Composite.Anchor>
  - - com.google.appengine.api.images.Composite.Anchor

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Composite.Anchor>
  Enclosing class:
    Composite

      public static enum Composite.Anchor
      extends java.lang.Enum<Composite.Anchor>

  Valid anchoring positions for a compositing operation. The anchor position of the image is aligned with the anchor position of the canvas.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTTOM_CENTER`
    `BOTTOM_LEFT`
    `BOTTOM_RIGHT`
    `CENTER_CENTER`
    `CENTER_LEFT`
    `CENTER_RIGHT`
    `TOP_CENTER`
    `TOP_LEFT`
    `TOP_RIGHT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Composite.Anchor` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Composite.Anchor[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TOP_LEFT

          public static final Composite.Anchor TOP_LEFT

    - #### TOP_CENTER

          public static final Composite.Anchor TOP_CENTER

    - #### TOP_RIGHT

          public static final Composite.Anchor TOP_RIGHT

    - #### CENTER_LEFT

          public static final Composite.Anchor CENTER_LEFT

    - #### CENTER_CENTER

          public static final Composite.Anchor CENTER_CENTER

    - #### CENTER_RIGHT

          public static final Composite.Anchor CENTER_RIGHT

    - #### BOTTOM_LEFT

          public static final Composite.Anchor BOTTOM_LEFT

    - #### BOTTOM_CENTER

          public static final Composite.Anchor BOTTOM_CENTER

    - #### BOTTOM_RIGHT

          public static final Composite.Anchor BOTTOM_RIGHT

  - ### Method Detail

    - #### values

          public static Composite.Anchor[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Composite.Anchor c : Composite.Anchor.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Composite.Anchor valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null